# Uses of Class
com.sun.mail.imap.Rights.Right

Packages that use Rights.Right
Package
Description
com.sun.mail.imap
An IMAP protocol provider for the Jakarta Mail API that provides access to an IMAP message store.

## Uses of Rights.Right in com.sun.mail.imap

Fields in com.sun.mail.imap declared as Rights.Right
Modifier and Type
Field
Description
`static final Rights.Right`
Rights.Right.`ADMINISTER`
Administer - perform SETACL.
`static final Rights.Right`
Rights.Right.`CREATE`
Create - CREATE new sub-mailboxes in any implementation-defined hierarchy, RENAME or DELETE mailbox.
`static final Rights.Right`
Rights.Right.`DELETE`
Delete - STORE \DELETED flag, perform EXPUNGE.
`static final Rights.Right`
Rights.Right.`INSERT`
Insert - perform APPEND, COPY into mailbox.
`static final Rights.Right`
Rights.Right.`KEEP_SEEN`
Keep seen/unseen information across sessions - STORE \SEEN flag.
`static final Rights.Right`
Rights.Right.`LOOKUP`
Lookup - mailbox is visible to LIST/LSUB commands.
`static final Rights.Right`
Rights.Right.`POST`
Post - send mail to submission address for mailbox, not enforced by IMAP4 itself.
`static final Rights.Right`
Rights.Right.`READ`
Read - SELECT the mailbox, perform CHECK, FETCH, PARTIAL, SEARCH, COPY from mailbox
`static final Rights.Right`
Rights.Right.`WRITE`
Write - STORE flags other than \SEEN and \DELETED.
Methods in com.sun.mail.imap that return Rights.Right
Modifier and Type
Method
Description
`static Rights.Right`
Rights.Right.`getInstance(char right)`
Get a Right object representing the specified character.
`Rights.Right[]`
Rights.`getRights()`
Return all the rights in this Rights object.
Methods in com.sun.mail.imap with parameters of type Rights.Right
Modifier and Type
Method
Description
`void`
Rights.`add(Rights.Right right)`
Add the specified right to this Rights object.
`boolean`
Rights.`contains(Rights.Right right)`
Check whether the specified right is present in this Rights object.
`void`
Rights.`remove(Rights.Right right)`
Remove the specified right from this Rights object.
Constructors in com.sun.mail.imap with parameters of type Rights.Right
Modifier
Constructor
Description
``
`Rights(Rights.Right right)`
Construct a Rights object initialized with the given right.